/**
 * 非标接口模块
 */
/**
 * 非标接口3des加解密工具
 */
export declare class Des3Utils {
    /**
     * 解密
     */
    static decrypt(data: object | string, key?: string, iv?: string): object;
    /**
     * 加密
     */
    static encrypt(data: object | string, key?: string, iv?: string): {
        data: string;
        imageInfo?: string;
    };
    /**
     * 随机生成24位的字符串
     */
    static generateKey(): string;
}
/**
 * 非标接口装饰器
 *
 * 自动对请求参数进行解密
 *
 * 自动捕获异常并返回错误报文
 *
 * 自动记录日志，记录请求参数及返回报文
 *
 * 支持ioc配置config.nonStandardApi，可以重写加解密key、iv，可以配置secure是否启用加解密，如果secure配置为false则禁用加解密，未配置或其他情况则为启用
 *
 * @param description 服务描述，仅为日志输出，提高可读性
 */
export declare function Service(description?: string, config?: {
    /**
     * 是否记录接口调用(成功)日志
     */
    isLog?: boolean;
}): MethodDecorator;
